Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.connect
Class DbBigInt

    java.lang.Object
      jet.connect.DbValue
          jet.connect.DbNumber
              jet.connect.DbBigInt

    public class DbBigInt

extends DbNumber

Field Summary
`long` | `value`

Fields inherited from class jet.connect.DbValue
`bNull, CHAR_DESC, CURRENCY_DESC, DATE_DESC, desc, DOUBLE_DESC, INTEGER_DESC, TIME_DESC`

Constructor Summary
`DbBigInt()`
`DbBigInt(DbColDesc desc)`
`DbBigInt(long v)`

Method Summary
`byte` | `byteValue()`
`java.lang.Object` | `clone()` Creates a clone of this DbValue variable.
`int` | `compareTo(DbValue v)` Compare with the dbvalue v;
`double` | `doubleValue()`
`boolean` | `equals(DbValue v)` Determine if another DbValue object is of equal value as this DbValue Object
`float` | `floatValue()`
`long` | `get()`
`int` | `intValue()`
`long` | `longValue()`
`void` | `set(DbValue v)` Set the value with DbValue.
`void` | `set(JRHierarchicalDataset hds, int col)`
`void` | `set(long v)`
`void` | `set(java.sql.ResultSet rs, int col)` Set the value with result set.
`void` | `setValue(DbNumber v)`
`void` | `setValue(java.lang.String v)` Set the value with a string.
`short` | `shortValue()`
`java.lang.String` | `toString()` Convert the value to string.

Methods inherited from class jet.connect.DbNumber
`compare, setValue`

Methods inherited from class jet.connect.DbValue
`equals, getColDesc, getPrecision, getScale, getSqlType, isCurrency, isNull, makeDbValue, setColDesc, setfoo, setNull`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### value

    public long value

Constructor Detail

### DbBigInt

    public DbBigInt()

### DbBigInt

    public DbBigInt(long v)

### DbBigInt

    public DbBigInt(DbColDesc desc)

Method Detail

### get

    public long get()

### set

    public void set(long v)

### set

    public void set(java.sql.ResultSet rs,
                    int col)
             throws java.sql.SQLException

  Description copied from class: `DbValue`
  Set the value with result set.

  Specified by:
    `set` in class `DbValue`
  Parameters:
    `rs` - the source value result set.
    `col` - the source value column number in the rs.
  Throws:
    `java.sql.SQLException`

### set

    public void set(JRHierarchicalDataset hds,
                    int col)
             throws java.sql.SQLException

  Overrides:
    `set` in class `DbValue`
  Throws:
    `java.sql.SQLException`

### toString

    public java.lang.String toString()

  Description copied from class: `DbValue`
  Convert the value to string.

  Specified by:
    `toString` in class `DbValue`

### clone

    public java.lang.Object clone()

  Description copied from class: `DbValue`
  Creates a clone of this DbValue variable.

  Specified by:
    `clone` in class `DbValue`

### equals

    public boolean equals(DbValue v)

  Description copied from class: `DbValue`
  Determine if another DbValue object is of equal value as this DbValue Object

  Specified by:
    `equals` in class `DbValue`

### compareTo

    public int compareTo(DbValue v)

  Description copied from class: `DbValue`
  Compare with the dbvalue v;

  Specified by:
    `compareTo` in class `DbValue`
  Returns:
    LESS, EQUAL, GREAT.

### byteValue

    public byte byteValue()

  Specified by:
    `byteValue` in class `DbNumber`

### shortValue

    public short shortValue()

  Specified by:
    `shortValue` in class `DbNumber`

### intValue

    public int intValue()

  Specified by:
    `intValue` in class `DbNumber`

### longValue

    public long longValue()

  Specified by:
    `longValue` in class `DbNumber`

### floatValue

    public float floatValue()

  Specified by:
    `floatValue` in class `DbNumber`

### doubleValue

    public double doubleValue()

  Specified by:
    `doubleValue` in class `DbNumber`

### set

    public void set(DbValue v)

  Description copied from class: `DbValue`
  Set the value with DbValue.

  Specified by:
    `set` in class `DbValue`

### setValue

    public void setValue(DbNumber v)

  Specified by:
    `setValue` in class `DbNumber`

### setValue

    public void setValue(java.lang.String v)

  Description copied from class: `DbValue`
  Set the value with a string.

  Specified by:
    `setValue` in class `DbValue`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD